Bug 1410657 - pathlib2 missing dependency on six
Summary: pathlib2 missing dependency on six
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pathlib2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 02:10 UTC by Elliott Sales de Andrade
Modified: 2017-12-19 21:33 UTC (History)
2 users (show)

Fixed In Version: python-pathlib2-2.3.0-1.fc27 python-pathlib2-2.3.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:44:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-01-06 02:10:27 UTC
Description of problem:
Pathlib2 depends on the 'six' package (cf. [1]), but the package in Fedora does not have this dependency.


Version-Release number of selected component (if applicable):
python-pathlib2-2.1.0-2.fc25.noarch


Steps to Reproduce:
1. mock <something that requires pathlib2 but not six>


Actual results:
Build fails to because pathlib2 imports don't work.


Expected results:
Pathlib2 should depend on python2-six.


Additional info:
[1] https://github.com/mcmtroffaes/pathlib2/blob/develop/requirements.txt

Comment 1 Fedora End Of Life 2017-11-16 18:53:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Elliott Sales de Andrade 2017-11-16 20:34:08 UTC
There have been no changes to this package since this was reported except for mass rebuilds.

Comment 3 Lumír Balhar 2017-11-23 09:03:41 UTC
There is more than one issue here. I'll take a look.

Comment 4 Lumír Balhar 2017-11-23 11:01:47 UTC
Specfile PR: https://src.fedoraproject.org/rpms/python-pathlib2/pull-request/1

Comment 5 Fedora Update System 2017-11-28 13:58:27 UTC
python-pathlib2-2.3.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-163fcde10f

Comment 6 Fedora Update System 2017-11-28 18:37:12 UTC
python-pathlib2-2.3.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-163fcde10f

Comment 7 Fedora Update System 2017-11-29 01:47:12 UTC
python-pathlib2-2.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-27f20c857b

Comment 8 Fedora Update System 2017-12-19 19:44:56 UTC
python-pathlib2-2.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-12-19 21:33:21 UTC
python-pathlib2-2.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.